summaryrefslogtreecommitdiffstats
path: root/network/greenbone-security-assistant
diff options
context:
space:
mode:
Diffstat (limited to 'network/greenbone-security-assistant')
-rw-r--r--network/greenbone-security-assistant/README12
-rw-r--r--network/greenbone-security-assistant/doinst.sh22
-rw-r--r--network/greenbone-security-assistant/greenbone-security-assistant.SlackBuild86
-rw-r--r--network/greenbone-security-assistant/greenbone-security-assistant.info10
-rw-r--r--network/greenbone-security-assistant/rc.gsad32
-rw-r--r--network/greenbone-security-assistant/slack-desc19
6 files changed, 181 insertions, 0 deletions
diff --git a/network/greenbone-security-assistant/README b/network/greenbone-security-assistant/README
new file mode 100644
index 0000000000..a530ba43f0
--- /dev/null
+++ b/network/greenbone-security-assistant/README
@@ -0,0 +1,12 @@
+The Greenbone Security Assistant is a web application that
+connects to the OpenVAS Manager and OpenVAS Administrator
+to provide for a full-featured user interface for
+vulnerability management.
+
+This package provides the Greenbone Security Assistant, it
+will also install an rc script to start the manager at
+system startup.
+
+Requires: openvas-libraries, openvas-scanner, openvas-client,
+openvas-administrator, openvas-manager, libmicrohttpd,
+all available on SlackBuilds.org.
diff --git a/network/greenbone-security-assistant/doinst.sh b/network/greenbone-security-assistant/doinst.sh
new file mode 100644
index 0000000000..42955bb4c9
--- /dev/null
+++ b/network/greenbone-security-assistant/doinst.sh
@@ -0,0 +1,22 @@
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+# Keep same perms on rc.gsad.new:
+if [ -e etc/rc.d/rc.gsad ]; then
+ cp -a etc/rc.d/rc.gsad etc/rc.d/rc.gsad.new.incoming
+ cat etc/rc.d/rc.gsad.new > etc/rc.d/rc.gsad.new.incoming
+ mv etc/rc.d/rc.gsad.new.incoming etc/rc.d/rc.gsad.new
+fi
+
+config etc/rc.d/rc.gsad.new
+config etc/openvas/gsad_log.conf.new
+
diff --git a/network/greenbone-security-assistant/greenbone-security-assistant.SlackBuild b/network/greenbone-security-assistant/greenbone-security-assistant.SlackBuild
new file mode 100644
index 0000000000..70bc26b5c4
--- /dev/null
+++ b/network/greenbone-security-assistant/greenbone-security-assistant.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for Greenbone Security Assistant.
+#
+# Copyright 2010-2011 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=greenbone-security-assistant
+VERSION=${VERSION:-1.0.0_beta5}
+SRCVER=$(echo $VERSION | tr _ -)
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="COPYING README"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.gz
+cd $PRGNAM-$SRCVER
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIBDIR=/usr/lib \
+ -DSYSCONFDIR=/etc \
+ -DLOCALSTATEDIR=/var \
+ -DMANDIR=/usr/man \
+ -DDOCDIR=/usr/doc/greenbone-security-assistant-$VERSION
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+# install rc script
+install -D -m0755 -oroot -groot $CWD/rc.gsad $PKG/etc/rc.d/rc.gsad.new
+
+# config file
+mv $PKG/etc/openvas/gsad_log.conf $PKG/etc/openvas/gsad_log.conf.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/greenbone-security-assistant/greenbone-security-assistant.info b/network/greenbone-security-assistant/greenbone-security-assistant.info
new file mode 100644
index 0000000000..81fafa2f3e
--- /dev/null
+++ b/network/greenbone-security-assistant/greenbone-security-assistant.info
@@ -0,0 +1,10 @@
+PRGNAM="greenbone-security-assistant"
+VERSION="1.0.0_beta5"
+HOMEPAGE="http://www.openvas.org/"
+DOWNLOAD="http://wald.intevation.org/frs/download.php/719/greenbone-security-assistant-1.0.0-beta5.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="4f652d060d44915e89634b6b411cef5c"
+MD5SUM_x86_64=""
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="dsomero"
diff --git a/network/greenbone-security-assistant/rc.gsad b/network/greenbone-security-assistant/rc.gsad
new file mode 100644
index 0000000000..20efe90b4b
--- /dev/null
+++ b/network/greenbone-security-assistant/rc.gsad
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+# Get OpenVAS options
+. /etc/rc.d/rc.openvas.conf
+
+PIDFILE="/var/run/gsad.pid"
+
+start() {
+ echo "Starting Greenbone Security Assistant..."
+ gsad --mport=${MAN_PORT} ${GSA_OPTIONS}
+}
+
+stop() {
+ echo "Stopping Greenbone Security Assistant..."
+ kill `cat $PIDFILE`
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ sleep 1
+ start
+ ;;
+ *)
+ echo "Usage: $0 (start|stop|restart)"
+esac
diff --git a/network/greenbone-security-assistant/slack-desc b/network/greenbone-security-assistant/slack-desc
new file mode 100644
index 0000000000..f268962af0
--- /dev/null
+++ b/network/greenbone-security-assistant/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+greenbone-security-assistant: greenbone-security-assistant (web interface for OpenVAS)
+greenbone-security-assistant:
+greenbone-security-assistant: The Greenbone Security Assistant is a web application that
+greenbone-security-assistant: connects to the OpenVAS Manager and OpenVAS Administrator
+greenbone-security-assistant: to provide for a full-featured user interface for
+greenbone-security-assistant: vulnerability management.
+greenbone-security-assistant:
+greenbone-security-assistant:
+greenbone-security-assistant:
+greenbone-security-assistant: This package provides the Greenbone Security Assistant.
+greenbone-security-assistant: